This API extracts features from the OpenStreetMap database and formats them as GeoJSON.You can filter for any tag in the database, either as key=value
or key=*, and can chain tags if you need 2+ tags.This endpoint is especially useful for extracting map data directly to user applications (like the browser)
or as a faster alternative to Overpass Turbo and the Overpass API.
This is a list of tags in the form key=value to filter features for.
All features extracted will satisfy each of the passed tags given by this parameter.This tag list can be created by forming an array of key=value items and joining
them into one string with the & character.Because both = and & are reserved characters in URIs, this list must be URL encoded.An example list of tags could be leisure=park and name=Westglen Park. This matches parks
that have the name Westglen Park. To set this parameter,
we’ll URL encode leisure=park&name=Westglen Park.Documentation on tags can be found on the TagInfo resource website.
This is the bounding box for extracted features. The coordinates (in EPSG:4326) of
the bounding box are required to be in (minimum longitude, minimum latitude,
maximum longitude, maximum latitude) order. Coordinates are expressed as signed floats
joined by commas.An example bounding box in the US could be -108.984375,32.026706,-103.051758,37.195331.You can create a bounding box on bboxfinder, or in shapely by
invoking the bounds property on a geometry.
This optional parameter, when passed, simplifies the output
geometries. The only valid value is simplify=point, which turns
every output geometry into a single point (its centroid).This is convenient for approximating LineStrings and MultiPolygons as their
central point.Note the centroid may fall outside the original polygon, e.g. a donut’s
centroid is outside the ring.
When the OSM feature extract is successfully created, a 200 OK response will be
issued, with Content-Type: application/json. The body will be a valid GeoJSON
FeatureCollection.In the event of an error, an error response will be issued, usually with a 5xx error code.
The error will be JSON-formatted, with an error field describing the cause.
{"docsConfig":{"$schema":"https://mintlify.com/docs.json","theme":"mint","name":"Bunting Labs Docs","colors":{"primary":"#570DF8","light":"#e9d5ff","dark":"#14B8A6"},"favicon":"/logo/light.png","logo":{"light":"https://mintlify.s3.us-west-1.amazonaws.com/buntinglabs/logo/light.png","dark":"https://mintlify.s3.us-west-1.amazonaws.com/buntinglabs/logo/dark.png"},"navbar":{"links":[{"label":"Documentation","href":"https://docs.buntinglabs.com/"}],"primary":{"type":"button","label":"Get an API Key","href":"https://buntinglabs.com/account/register"}},"footer":{"socials":{"twitter":"https://twitter.com/BuntingLabs","github":"https://github.com/BuntingLabs","linkedin":"https://www.linkedin.com/company/bunting-labs/"}},"integrations":{"posthog":{"apiKey":"phc_zmDRTwTSkhXORGB1qzjSZIMH7N7DgG4qb0cxZFn2kQs"}},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"buntinglabs","hasAudioNarration":false,"actualSubdomain":"buntinglabs","customDomains":["docs.buntinglabs.com"],"gitSource":{"type":"github","owner":"buntinglabs","repo":"api-docs","deployBranch":"main","contentDirectory":"","mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a20c345a72b99776ad7b5e8","collectionId":"ad22f707-a686-4912-a8d0-481096f87187","schemaVersion":"v2"},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6a20c345a72b99776ad7b5e8:success","clientVersion":"0.0.3971","searchFilterCounts":[{"language":"default","tag":"OpenStreetMap API","count":7},{"language":"default","tag":"US Census API","count":2},{"language":"default","tag":"Data from Satellite Imagery","count":1},{"language":"default","tag":"Coordinate Geometry API","count":1},{"language":"default","tag":"Home","count":1},{"language":"default","tag":"Points of Interest API","count":1}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"isAtlas":false,"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"openstreetmap-api/extract","slug":"/openstreetmap-api/extract","pageMetadata":{"title":"Extract Features","description":"This endpoint downloads features from OpenStreetMap based on tags and optionally a bounding box, resulting in a GeoJSON.","api":"GET https://osm.buntinglabs.com/v1/osm/extract","href":"/openstreetmap-api/extract"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"This endpoint downloads features from OpenStreetMap based on tags and optionally a bounding box, resulting in a GeoJSON.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,..._provideComponents(),...props.components},{Heading,ParamField,ResponseField,Tip}=_components;if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Tip)_missingMdxReference(`Tip`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`This API extracts features from the OpenStreetMap database and formats them as GeoJSON.`}),`\n`,_jsxs(_components.p,{children:[`You can filter for any tag in the `,_jsx(_components.a,{href:`https://taginfo.openstreetmap.org/`,children:`database`}),`, either as `,_jsx(_components.code,{children:`key=value`}),`\nor `,_jsx(_components.code,{children:`key=*`}),`, and can chain tags if you need 2+ tags.`]}),`\n`,_jsxs(_components.p,{children:[`This endpoint is especially useful for extracting map data directly to user applications (like the browser)\nor as a faster alternative to `,_jsx(_components.a,{href:`http://overpass-turbo.eu/`,children:`Overpass Turbo`}),` and the `,_jsx(_components.a,{href:`http://overpass-api.de/`,children:`Overpass API`}),`.`]}),`\n`,_jsx(Heading,{level:`3`,id:`request-parameters`,children:`Request Parameters`}),`\n`,_jsxs(ParamField,{query:`tags`,type:`string`,placeholder:`leisure=park`,required:true,id:`param-tags`,children:[_jsxs(_components.p,{children:[`This is a list of tags in the form `,_jsx(_components.code,{children:`key=value`}),` to filter features for.\nAll features extracted will satisfy each of the passed tags given by this parameter.`]}),_jsxs(_components.p,{children:[`This tag list can be created by forming an array of `,_jsx(_components.code,{children:`key=value`}),` items and joining\nthem into one string with the `,_jsx(_components.code,{children:`\u0026`}),` character.`]}),_jsxs(_components.p,{children:[`Because both `,_jsx(_components.code,{children:`=`}),` and `,_jsx(_components.code,{children:`\u0026`}),` are reserved characters in URIs, this list must be URL encoded.`]}),_jsxs(_components.p,{children:[`An example list of tags could be `,_jsx(_components.code,{children:`leisure=park`}),` and `,_jsx(_components.code,{children:`name=Westglen Park`}),`. This matches parks\nthat have the name Westglen Park. To set this parameter,\nwe’ll URL encode `,_jsx(_components.code,{children:`leisure=park\u0026name=Westglen Park`}),`.`]}),_jsxs(_components.p,{children:[`Documentation on tags can be found on the `,_jsx(_components.a,{href:`https://taginfo.openstreetmap.org`,children:`TagInfo`}),` resource website.`]})]}),`\n`,_jsxs(ParamField,{query:`bbox`,type:`string`,default:`None`,placeholder:`-97.45,37.59,-97.22,37.76`,id:`param-bbox`,children:[_jsx(_components.p,{children:`This is the bounding box for extracted features. The coordinates (in EPSG:4326) of\nthe bounding box are required to be in (minimum longitude, minimum latitude,\nmaximum longitude, maximum latitude) order. Coordinates are expressed as signed floats\njoined by commas.`}),_jsxs(_components.p,{children:[`An example bounding box in the US could be `,_jsx(_components.code,{children:`-108.984375,32.026706,-103.051758,37.195331`}),`.`]}),_jsxs(_components.p,{children:[`You can create a bounding box `,_jsx(_components.a,{href:`http://bboxfinder.com`,children:`on bboxfinder`}),`, or in shapely by\ninvoking the `,_jsx(_components.code,{children:`bounds`}),` property on a geometry.`]}),_jsxs(Tip,{children:[`To filter based on a `,_jsx(_components.code,{children:`Polygon`}),` or `,_jsx(_components.code,{children:`MultiPolygon`}),` instead, use our endpoint for `,_jsx(_components.a,{href:`/openstreetmap-api/extract-within-geometry`,children:`downloading OSM features inside a polygon`}),`.`]})]}),`\n`,_jsx(ParamField,{query:`api_key`,type:`string`,placeholder:`demo`,required:true,id:`param-api-key`,children:_jsxs(_components.p,{children:[`Your account’s API key. You can create an API key by\n`,_jsx(_components.a,{href:`https://buntinglabs.com/account/register`,children:`registering for an account`}),`\nand copy and paste it from your `,_jsx(_components.a,{href:`https://buntinglabs.com/dashboard`,children:`account dashboard`}),`.`]})}),`\n`,_jsxs(ParamField,{query:`simplify`,type:`string`,id:`param-simplify`,children:[_jsxs(_components.p,{children:[`This optional parameter, when passed, simplifies the output\ngeometries. The only valid value is `,_jsx(_components.code,{children:`simplify=point`}),`, which turns\nevery output geometry into a single point (its centroid).`]}),_jsx(_components.p,{children:`This is convenient for approximating LineStrings and MultiPolygons as their\ncentral point.`}),_jsx(_components.p,{children:`Note the centroid may fall outside the original polygon, e.g. a donut’s\ncentroid is outside the ring.`})]}),`\n`,_jsx(Heading,{level:`3`,id:`response`,children:`Response`}),`\n`,_jsxs(_components.p,{children:[`When the OSM feature extract is successfully created, a 200 OK response will be\nissued, with `,_jsx(_components.code,{children:`Content-Type: application/json`}),`. The body will be a valid `,_jsx(_components.a,{href:`https://geojson.org/`,children:`GeoJSON\nFeatureCollection`}),`.`]}),`\n`,_jsxs(_components.p,{children:[`In the event of an error, an error response will be issued, usually with a 5xx error code.\nThe error will be JSON-formatted, with an `,_jsx(_components.code,{children:`error`}),` field describing the cause.`]}),`\n`,_jsxs(ResponseField,{name:`error`,type:`string`,id:`param-error`,children:[_jsx(_components.p,{children:`The error message if the extract request parameters were incorrectly formatted.`}),_jsx(_components.p,{children:`This response field will not be present if the extract succeeds.`})]}),`\n`,_jsx(Heading,{level:`3`,id:`data-license`,children:`Data License`}),`\n`,_jsxs(_components.p,{children:[`This API serves `,_jsx(_components.a,{href:`https://www.openstreetmap.org/`,children:`OpenStreetMap`}),` data, which is\nfreely available and is licensed under the\n`,_jsx(_components.a,{href:`https://www.openstreetmap.org/copyright`,children:`Open Data Commons Open Database License (ODbL)`}),`.`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Extract Features","description":"This endpoint downloads features from OpenStreetMap based on tags and optionally a bounding box, resulting in a GeoJSON.","api":"GET https://osm.buntinglabs.com/v1/osm/extract","href":"/openstreetmap-api/extract"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,pre:`pre`,span:`span`,..._provideComponents(),...props.components},{CodeBlock,Heading,ParamField,RequestExample,ResponseExample,ResponseField,Tip}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!RequestExample)_missingMdxReference(`RequestExample`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Tip)_missingMdxReference(`Tip`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`This API extracts features from the OpenStreetMap database and formats them as GeoJSON.`}),`\n`,_jsxs(_components.p,{children:[`You can filter for any tag in the `,_jsx(_components.a,{href:`https://taginfo.openstreetmap.org/`,children:`database`}),`, either as `,_jsx(_components.code,{children:`key=value`}),`\nor `,_jsx(_components.code,{children:`key=*`}),`, and can chain tags if you need 2+ tags.`]}),`\n`,_jsxs(_components.p,{children:[`This endpoint is especially useful for extracting map data directly to user applications (like the browser)\nor as a faster alternative to `,_jsx(_components.a,{href:`http://overpass-turbo.eu/`,children:`Overpass Turbo`}),` and the `,_jsx(_components.a,{href:`http://overpass-api.de/`,children:`Overpass API`}),`.`]}),`\n`,_jsx(Heading,{level:`3`,id:`request-parameters`,children:`Request Parameters`}),`\n`,_jsxs(ParamField,{query:`tags`,type:`string`,placeholder:`leisure=park`,required:true,id:`param-tags`,children:[_jsxs(_components.p,{children:[`This is a list of tags in the form `,_jsx(_components.code,{children:`key=value`}),` to filter features for.\nAll features extracted will satisfy each of the passed tags given by this parameter.`]}),_jsxs(_components.p,{children:[`This tag list can be created by forming an array of `,_jsx(_components.code,{children:`key=value`}),` items and joining\nthem into one string with the `,_jsx(_components.code,{children:`\u0026`}),` character.`]}),_jsxs(_components.p,{children:[`Because both `,_jsx(_components.code,{children:`=`}),` and `,_jsx(_components.code,{children:`\u0026`}),` are reserved characters in URIs, this list must be URL encoded.`]}),_jsxs(_components.p,{children:[`An example list of tags could be `,_jsx(_components.code,{children:`leisure=park`}),` and `,_jsx(_components.code,{children:`name=Westglen Park`}),`. This matches parks\nthat have the name Westglen Park. To set this parameter,\nwe’ll URL encode `,_jsx(_components.code,{children:`leisure=park\u0026name=Westglen Park`}),`.`]}),_jsxs(_components.p,{children:[`Documentation on tags can be found on the `,_jsx(_components.a,{href:`https://taginfo.openstreetmap.org`,children:`TagInfo`}),` resource website.`]})]}),`\n`,_jsxs(ParamField,{query:`bbox`,type:`string`,default:`None`,placeholder:`-97.45,37.59,-97.22,37.76`,id:`param-bbox`,children:[_jsx(_components.p,{children:`This is the bounding box for extracted features. The coordinates (in EPSG:4326) of\nthe bounding box are required to be in (minimum longitude, minimum latitude,\nmaximum longitude, maximum latitude) order. Coordinates are expressed as signed floats\njoined by commas.`}),_jsxs(_components.p,{children:[`An example bounding box in the US could be `,_jsx(_components.code,{children:`-108.984375,32.026706,-103.051758,37.195331`}),`.`]}),_jsxs(_components.p,{children:[`You can create a bounding box `,_jsx(_components.a,{href:`http://bboxfinder.com`,children:`on bboxfinder`}),`, or in shapely by\ninvoking the `,_jsx(_components.code,{children:`bounds`}),` property on a geometry.`]}),_jsxs(Tip,{children:[`To filter based on a `,_jsx(_components.code,{children:`Polygon`}),` or `,_jsx(_components.code,{children:`MultiPolygon`}),` instead, use our endpoint for `,_jsx(_components.a,{href:`/openstreetmap-api/extract-within-geometry`,children:`downloading OSM features inside a polygon`}),`.`]})]}),`\n`,_jsx(ParamField,{query:`api_key`,type:`string`,placeholder:`demo`,required:true,id:`param-api-key`,children:_jsxs(_components.p,{children:[`Your account’s API key. You can create an API key by\n`,_jsx(_components.a,{href:`https://buntinglabs.com/account/register`,children:`registering for an account`}),`\nand copy and paste it from your `,_jsx(_components.a,{href:`https://buntinglabs.com/dashboard`,children:`account dashboard`}),`.`]})}),`\n`,_jsxs(ParamField,{query:`simplify`,type:`string`,id:`param-simplify`,children:[_jsxs(_components.p,{children:[`This optional parameter, when passed, simplifies the output\ngeometries. The only valid value is `,_jsx(_components.code,{children:`simplify=point`}),`, which turns\nevery output geometry into a single point (its centroid).`]}),_jsx(_components.p,{children:`This is convenient for approximating LineStrings and MultiPolygons as their\ncentral point.`}),_jsx(_components.p,{children:`Note the centroid may fall outside the original polygon, e.g. a donut’s\ncentroid is outside the ring.`})]}),`\n`,_jsx(Heading,{level:`3`,id:`response`,children:`Response`}),`\n`,_jsxs(_components.p,{children:[`When the OSM feature extract is successfully created, a 200 OK response will be\nissued, with `,_jsx(_components.code,{children:`Content-Type: application/json`}),`. The body will be a valid `,_jsx(_components.a,{href:`https://geojson.org/`,children:`GeoJSON\nFeatureCollection`}),`.`]}),`\n`,_jsxs(_components.p,{children:[`In the event of an error, an error response will be issued, usually with a 5xx error code.\nThe error will be JSON-formatted, with an `,_jsx(_components.code,{children:`error`}),` field describing the cause.`]}),`\n`,_jsxs(ResponseField,{name:`error`,type:`string`,id:`param-error`,children:[_jsx(_components.p,{children:`The error message if the extract request parameters were incorrectly formatted.`}),_jsx(_components.p,{children:`This response field will not be present if the extract succeeds.`})]}),`\n`,_jsx(Heading,{level:`3`,id:`data-license`,children:`Data License`}),`\n`,_jsxs(_components.p,{children:[`This API serves `,_jsx(_components.a,{href:`https://www.openstreetmap.org/`,children:`OpenStreetMap`}),` data, which is\nfreely available and is licensed under the\n`,_jsx(_components.a,{href:`https://www.openstreetmap.org/copyright`,children:`Open Data Commons Open Database License (ODbL)`}),`.`]}),`\n`,_jsxs(RequestExample,{children:[_jsx(CodeBlock,{filename:`cURL`,numberOfLines:`4`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`4`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --get`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'https://osm.buntinglabs.com/v1/osm/extract'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --data`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"tags=aeroway%3Drunway\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --data`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"api_key=demo\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --data`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"bbox=-112.162,40.459,-111.791,40.876\"`})]}),`\n`]})})}),_jsx(CodeBlock,{filename:`JavaScript`,numberOfLines:`9`,language:`javascript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`javascript`,children:_jsxs(_components.code,{language:`javascript`,numberOfLines:`9`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` params`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` new`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` URLSearchParams`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`({`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` tags:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"aeroway=runway\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` api_key:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"demo\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` bbox:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"-112.162,40.459,-111.791,40.876\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`});`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`fetch`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`https://osm.buntinglabs.com/v1/osm/extract?\"}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:\"${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`params`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`)`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` .`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`then`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:`response`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` =>`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` response`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`json`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`())`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` .`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`then`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:`data`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` =>`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` console`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`log`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`data`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`));`})]}),`\n`]})})}),_jsx(CodeBlock,{filename:`Python`,numberOfLines:`10`,language:`python`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`python`,children:_jsxs(_components.code,{language:`python`,numberOfLines:`10`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`import`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`params `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"tags\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"aeroway=runway\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"api_key\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"demo\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"bbox\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"-112.162,40.459,-111.791,40.876\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`response `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests.get(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://osm.buntinglabs.com/v1/osm/extract\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:`params`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`params)`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#DCDCAA`},children:`print`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(response.json())`})]}),`\n`]})})})]}),`\n`,_jsx(ResponseExample,{children:_jsx(CodeBlock,{filename:`Response`,numberOfLines:`19`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`19`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"FeatureCollection\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"features\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [{`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Feature\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"properties\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"aeroway\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"runway\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"geometry\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"MultiPolygon\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"coordinates\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [[[`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` [`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`-111.9623558`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`40.7735137`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`],`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` [`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`-111.9618135`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`40.7735137`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`],`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` [`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`-111.9618012`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`40.7988855`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`],`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` [`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`-111.9623435`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`40.7989041`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`],`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` [`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`-111.9623558`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`40.7735137`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`]`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]]]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Extract Features","description":"This endpoint downloads features from OpenStreetMap based on tags and optionally a bounding box, resulting in a GeoJSON.","api":"GET https://osm.buntinglabs.com/v1/osm/extract","href":"/openstreetmap-api/extract"}}}},"mdxExtracts":{"tableOfContents":[{"title":"Request Parameters","slug":"request-parameters","depth":3,"children":[]},{"title":"Response","slug":"response","depth":3,"children":[]},{"title":"Data License","slug":"data-license","depth":3,"children":[]}],"codeExamples":{"request":{"type":"RequestExample","children":[{"filename":"cURL","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"shellscript\">\u003ccode language=\"shellscript\" numberOfLines=\"4\">\u003cspan class=\"line\">\u003cspan style=\"color:#953800;--shiki-dark:#DCDCAA\">curl\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> --get\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> 'https://osm.buntinglabs.com/v1/osm/extract'\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> --data\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"tags=aeroway%3Drunway\"\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> --data\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"api_key=demo\"\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> --data\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"bbox=-112.162,40.459,-111.791,40.876\"\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"JavaScript","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"javascript\">\u003ccode language=\"javascript\" numberOfLines=\"9\">\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\">const\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#4FC1FF\"> params\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\"> =\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\"> new\u003c/span>\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\"> URLSearchParams\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">({\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> tags:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"aeroway=runway\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> api_key:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"demo\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> bbox:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"-112.162,40.459,-111.791,40.876\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">});\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\">fetch\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">(\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">`https://osm.buntinglabs.com/v1/osm/extract?\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#569CD6\">${\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\">params\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#569CD6\">}\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">`\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">)\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> .\u003c/span>\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\">then\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">(\u003c/span>\u003cspan style=\"color:#953800;--shiki-dark:#9CDCFE\">response\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\"> =>\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> response\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">.\u003c/span>\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\">json\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">())\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> .\u003c/span>\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\">then\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">(\u003c/span>\u003cspan style=\"color:#953800;--shiki-dark:#9CDCFE\">data\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\"> =>\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> console\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">.\u003c/span>\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\">log\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">(\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\">data\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">));\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"Python","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"python\">\u003ccode language=\"python\" numberOfLines=\"10\">\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\">import\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> requests\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">params \u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">=\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"tags\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"aeroway=runway\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"api_key\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"demo\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"bbox\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"-112.162,40.459,-111.791,40.876\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">response \u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">=\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> requests.get(\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"https://osm.buntinglabs.com/v1/osm/extract\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">, \u003c/span>\u003cspan style=\"color:#953800;--shiki-dark:#9CDCFE\">params\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">=\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">params)\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#DCDCAA\">print\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">(response.json())\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]},"response":{"type":"ResponseExample","children":[{"filename":"Response","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"19\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"type\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"FeatureCollection\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"features\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"type\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Feature\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"properties\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"aeroway\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"runway\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"geometry\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"type\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"MultiPolygon\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"coordinates\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [[[\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> [\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">-111.9623558\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">, \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">40.7735137\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">],\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> [\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">-111.9618135\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">, \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">40.7735137\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">],\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> [\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">-111.9618012\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">, \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">40.7988855\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">],\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> [\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">-111.9623435\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">, \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">40.7989041\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">],\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> [\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">-111.9623558\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">, \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">40.7735137\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">]\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ]]]\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }]\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"Extract Features","path":"/v1/osm/extract","servers":[{"url":"https://osm.buntinglabs.com"}],"method":"get","request":{"security":[],"parameters":{"query":{"tags":{"schema":[{"type":"string","description":"This is a list of tags in the form `key=value` to filter features for. All features extracted will satisfy each of the passed tags given by this parameter. This tag list can be created by forming an array of `key=value` items and joining them into one string with the `\u0026` character. Because both `=` and `\u0026` are reserved characters in URIs, this list must be URL encoded. An example list of tags could be `leisure=park` and `name=Westglen Park` . This matches parks that have the name Westglen Park. To set this parameter, we’ll URL encode `leisure=park\u0026name=Westglen Park` . Documentation on tags can be found on the TagInfo resource website.","required":true,"placeholder":"leisure=park"}]},"bbox":{"schema":[{"type":"string","description":"This is the bounding box for extracted features. The coordinates (in EPSG:4326) of the bounding box are required to be in (minimum longitude, minimum latitude, maximum longitude, maximum latitude) order. Coordinates are expressed as signed floats joined by commas. An example bounding box in the US could be `-108.984375,32.026706,-103.051758,37.195331` . You can create a bounding box on bboxfinder , or in shapely by invoking the `bounds` property on a geometry.","placeholder":"-97.45,37.59,-97.22,37.76"}]},"api_key":{"schema":[{"type":"string","description":"Your account’s API key. You can create an API key by registering for an account and copy and paste it from your account dashboard .","required":true,"placeholder":"demo"}]},"simplify":{"schema":[{"type":"string","description":"This optional parameter, when passed, simplifies the output geometries. The only valid value is `simplify=point` , which turns every output geometry into a single point (its centroid). This is convenient for approximating LineStrings and MultiPolygons as their central point. Note the centroid may fall outside the original polygon, e.g. a donut’s centroid is outside the ring."}]}},"header":{},"cookie":{},"path":{}},"body":{}},"response":{"200":{"application/json":{"schemaArray":[{"type":"object","properties":{"error":[{"type":"string","description":"The error message if the extract request parameters were incorrectly formatted. This response field will not be present if the extract succeeds."}]}}],"examples":{"example":{"value":{"error":"\u003cstring>"}}}}}},"deprecated":false}},"jsLinks":[],"subdomain":"buntinglabs","siteName":"Bunting Labs Docs","title":"Extract Features - Bunting Labs Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"originalFileLocation":"openstreetmap-api/extract.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"This endpoint downloads features from OpenStreetMap based on tags and optionally a bounding box, resulting in a GeoJSON.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Bunting Labs Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"https://mintlify.s3.us-west-1.amazonaws.com/buntinglabs/_generated/favicon/apple-touch-icon.png?v=3\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"https://mintlify.s3.us-west-1.amazonaws.com/buntinglabs/_generated/favicon/favicon-32x32.png?v=3\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"https://mintlify.s3.us-west-1.amazonaws.com/buntinglabs/_generated/favicon/favicon-16x16.png?v=3\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"https://mintlify.s3.us-west-1.amazonaws.com/buntinglabs/_generated/favicon/favicon.ico?v=3\">\u003cmeta data-mint-head property=\"og:title\" content=\"Extract Features - Bunting Labs Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"This endpoint downloads features from OpenStreetMap based on tags and optionally a bounding box, resulting in a GeoJSON.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Bunting Labs Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.buntinglabs.com/openstreetmap-api/extract\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://buntinglabs.mintlify.app/_mintlify/api/og/v2?division=OpenStreetMap+API\u0026amp;title=Extract+Features\u0026amp;description=This+endpoint+downloads+features+from+OpenStreetMap+based+on+tags+and+optionally+a+bounding+box%2C+resulting+in+a+GeoJSON.\u0026amp;theme=8ceb5110d3429f0627200ccd\u0026amp;signature=720651cdd655bd5dcdf3f4e2b65cbb52ff3589625b8ceb15018ffb6e226e7bfe\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Extract Features - Bunting Labs Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"This endpoint downloads features from OpenStreetMap based on tags and optionally a bounding box, resulting in a GeoJSON.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://buntinglabs.mintlify.app/_mintlify/api/og/v2?division=OpenStreetMap+API\u0026amp;title=Extract+Features\u0026amp;description=This+endpoint+downloads+features+from+OpenStreetMap+based+on+tags+and+optionally+a+bounding+box%2C+resulting+in+a+GeoJSON.\u0026amp;theme=8ceb5110d3429f0627200ccd\u0026amp;signature=720651cdd655bd5dcdf3f4e2b65cbb52ff3589625b8ceb15018ffb6e226e7bfe\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"https://mintlify.s3.us-west-1.amazonaws.com/buntinglabs/_generated/favicon/browserconfig.xml?v=3\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Bunting Labs Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#570DF8\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.buntinglabs.com/openstreetmap-api/extract\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/openstreetmap-api/extract.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.buntinglabs.com/#organization\",\"name\":\"Bunting Labs Docs\",\"url\":\"https://docs.buntinglabs.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintlify.s3.us-west-1.amazonaws.com/buntinglabs/logo/light.png\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.buntinglabs.com#website\",\"name\":\"Bunting Labs Docs\",\"url\":\"https://docs.buntinglabs.com\",\"publisher\":{\"@id\":\"https://docs.buntinglabs.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.buntinglabs.com/openstreetmap-api/extract#webpage\",\"url\":\"https://docs.buntinglabs.com/openstreetmap-api/extract\",\"name\":\"Extract Features\",\"description\":\"This endpoint downloads features from OpenStreetMap based on tags and optionally a bounding box, resulting in a GeoJSON.\",\"isPartOf\":{\"@id\":\"https://docs.buntinglabs.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.buntinglabs.com/openstreetmap-api/extract#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.buntinglabs.com/openstreetmap-api/extract#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"OpenStreetMap API\",\"item\":\"https://docs.buntinglabs.com/openstreetmap-api/using-osm-data\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Extract Features\",\"item\":\"https://docs.buntinglabs.com/openstreetmap-api/extract\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.buntinglabs.com/openstreetmap-api/extract#apireference\",\"headline\":\"Extract Features\",\"name\":\"Extract Features\",\"description\":\"This endpoint downloads features from OpenStreetMap based on tags and optionally a bounding box, resulting in a GeoJSON.\",\"url\":\"https://docs.buntinglabs.com/openstreetmap-api/extract\",\"mainEntityOfPage\":{\"@id\":\"https://docs.buntinglabs.com/openstreetmap-api/extract#webpage\"},\"publisher\":{\"@id\":\"https://docs.buntinglabs.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.buntinglabs.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Bunting Labs Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Bunting Labs Docs","nav":{"global":null,"groups":[{"group":"Home","pages":[{"title":"Introduction","href":"/introduction"}]},{"group":"OpenStreetMap API","pages":[{"title":"Using OSM Data","description":"An overview of using OpenStreetMap data in your applications","href":"/openstreetmap-api/using-osm-data"},{"title":"Extract Features","api":"GET https://osm.buntinglabs.com/v1/osm/extract","href":"/openstreetmap-api/extract"},{"title":"Extract in Radius","description":"Download features within a radius around an address (or coordinates), matching given tags as GeoJSON.","api":"GET https://osm.buntinglabs.com/v1/osm/extract-in-radius","href":"/openstreetmap-api/extract-in-radius"},{"title":"Extract within Geometry","api":"PUT https://osm.buntinglabs.com/v1/osm/extract","href":"/openstreetmap-api/extract-within-geometry"},{"title":"Count Features","api":"GET https://osm.buntinglabs.com/v1/osm/count","href":"/openstreetmap-api/count"},{"title":"Count within Geometry","api":"PUT https://osm.buntinglabs.com/v1/osm/count","href":"/openstreetmap-api/count-within-geometry"},{"title":"Search Tags","api":"GET https://osm.buntinglabs.com/v1/osm/tags","href":"/openstreetmap-api/search-tags"}]},{"group":"US Census API","pages":[{"title":"Population","api":"GET https://osm.buntinglabs.com/v1/census/population","href":"/census-api/population"},{"title":"Median Income","api":"GET https://osm.buntinglabs.com/v1/census/income","href":"/census-api/median-income"}]},{"group":"Points of Interest API","pages":[{"title":"Neighborhood Description","api":"POST https://osm.buntinglabs.com/v1/poi/neighborhood","href":"/poi-api/neighborhood"}]},{"group":"Data from Satellite Imagery","pages":[{"title":"Building Outlines","api":"GET https://osm.buntinglabs.com/v1/buildings/select","href":"/building-api/select-buildings"}]},{"group":"Coordinate Geometry API","pages":[{"title":"What is cogo","href":"/coordinate-geometry-api/what-is-cogo"},{"title":"Generate Metes","api":"POST https://osm.buntinglabs.com/v1/cogo/generate-metes","href":"/coordinate-geometry-api/generate-metes"},{"title":"Read metes","href":"/coordinate-geometry-api/read-metes"}]}]},"title":"Extract Features - Bunting Labs Docs","buildId":"dpl_DFJrtvUi8HS5F9nkooKuDJsuD5BM","deploymentId":"dpl_DFJrtvUi8HS5F9nkooKuDJsuD5BM","dynamics":["c2aa737661","2b790eda92","b0f84f53ff"],"chunks":["OpenApiReferenceProvider-rfhihCWU.js","utils-BmH1XFxk.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-BcNsxPKB.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-BAES3tkd.js","snippetPresets-DCMQBKLP.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-D6l_bzE9.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BOktbnNh.js","shallow-BCs8SgM7.js","getApiPlaygroundDisplay-DEmW5bJB.js","CodeSnippet-CpZOpB9C.js","CodeSnippets-BOBDqibl.js","Page-D5fEM6aW.js","getPastedJson-DH2JBvmr.js","icon-BBJH-kKh.js","MethodPill-D2Sd5NLC.js","DuplicateIcon-CGgfL2qN.js","createIcon-BKudBBzi.js","DynamicMarkdown-85clUA0i.js","SectionHeading-D0JiMgDx.js","axios-vUo_bRtp.js"]}